# Nafas Breathing Programs

**Last Update: 2025-05-26**

| **Program**         | **Description**                                                                                                                 | **Level**         | **Ratios**<br>**(I:R:E:S)**            | **Unit**<br>**(Seconds)** | **Cycles**      |
|----------------------|-------------------------------------------------------------------------------------------------------------------------------|-------------------|-----------------------|--------------------------|----------------|
| Clear Mind           | Short program to reduce mental fog and improve focus. Useful for developers during coding breaks. Beneficial for those needing quick mental refreshment. | B<br>M<br>A       | 1:0:3:0<br>1:0:4:0<br>1:0:5:0 | 3<br>3<br>3                | 35<br>28<br>24 |
| Relax1               | Relaxation-focused program to calm nerves. Ideal for use after intense coding sessions. Useful for programmers managing stress.       | B<br>M<br>A       | 1:0:2:2<br>1:0:2:3<br>1:0:2:4 | 3<br>3<br>3                | 28<br>24<br>22 |
| Relax2               | Enhanced relaxation program with a focus on breathing depth. Suitable for unwinding after long work sessions.               | B<br>M<br>A       | 4:7:8:0<br>4:7:8:0<br>4:7:8:0 | 1<br>1<br>1                | 4<br>8<br>12   |
| Relax3               | Deeper relaxation exercise for stress relief and a more meditative state. Ideal for unwinding after complex projects.        | B<br>M<br>A       | 7:0:11:0<br>7:0:11:0<br>7:0:11:0 | 1<br>1<br>1                | 15<br>20<br>24 |
| Calming1             | Soothing breathing pattern, helpful for reducing anxiety. Beneficial for long working hours and maintaining calm.           | B<br>M<br>A       | 1:2:1:2<br>1:3:1:3<br>1:4:1:4 | 3<br>3<br>3                | 24<br>22<br>20 |
| Calming2             | An extended version of the calming routine, providing a longer period of relaxation and anxiety reduction. Useful for balancing high-stress situations. | B<br>M<br>A       | 5:0:5:5<br>5:0:5:5<br>5:0:5:5 | 1<br>1<br>1                | 4<br>6<br>8    |
| Calming3             | A breathing routine designed to deepen relaxation and improve focus. Suitable for transitioning from mild stress to a state of balance and tranquility. | B<br>M<br>A       | 4:0:6:0<br>6:1:8:4<br>4:1:12:1 | 1<br>1<br>1               | 6<br>8<br>10    |
| Power                | Energizing breathing, designed for boosting energy and alertness. Suitable for users feeling fatigue.                       | B<br>M<br>A       | 1:2:2:0<br>1:3:2:0<br>1:4:2:0 | 3<br>3<br>3                | 28<br>24<br>20 |
| Harmony              | Balancing exercise to promote relaxation and focus. Ideal for programmers looking to maintain concentration.                | B<br>M<br>A       | 1:3:2:1<br>1:4:2:1<br>1:5:2:1 | 3<br>3<br>3                | 20<br>18<br>16 |
| Anti-Stress          | Specialized for stress relief, particularly useful during high-stress tasks or debugging sessions.                             | B<br>M<br>A       | 3:0:0.66:0<br>4:0:0.66:0<br>5:0:0.66:0 | 3<br>3<br>3                | 20<br>17<br>14 |
| Anti-Appetite        | Breathing program to manage cravings and avoid unnecessary snacking during work. Beneficial for users seeking appetite control. | B<br>M<br>A       | 5:0:5:5<br>6:0:5:5<br>7:0:5:5 | 1<br>1<br>1                | 40<br>38<br>36 |
| Cigarette Replace    | Alternative to smoking breaks, encouraging mindful breathing. Suitable for smokers looking to reduce habit triggers.        | B<br>M<br>A       | 2:1.1:2.2:0.8<br>3:1.1:2.2:0.8<br>4:1.1:2.2:0.8 | 2<br>2<br>2                | 23<br>21<br>19 |
| Decision-Making      | Breathing exercise to improve focus before making critical decisions. Useful for developers or managers.                    | B<br>M<br>A       | 5:2:7:0<br>5:2:7:0<br>5:2:7:0 | 1<br>1<br>1                | 6<br>10<br>14  |
| Balancing            | Designed for achieving inner balance. Useful for users needing a brief grounding exercise during hectic schedules.          | B<br>M<br>A       | 6:0:6:0<br>8:1:8:1<br>6:2:6:2 | 1<br>1<br>1                | 6<br>8<br>10   |
| Energizing           | Breathing program to recharge energy levels and improve alertness. Ideal for users or professionals needing a quick boost of focus and energy. | B<br>M<br>A | 6:0:4:0<br>6:4:6:1<br>6:6:6:1 | 1<br>1<br>1   | 6<br>8<br>10   | 
| Box                  | A breathing technique involving equal counts of inhaling, retaining, exhaling, and sustaining to enhance focus and calm. | B<br>M<br>A | 4:4:4:4<br>4:4:4:4<br>4:4:4:4 | 1<br>1<br>1   | 4<br>8<br>15   | 
| Coherent             | Breathing program for optimizing heart rate variability (HRV). It triggers the ideal breath rate for relaxation and emotional regulation. Useful for daily stress management or biofeedback training. | B<br>M<br>A | 5:0:5:0<br>5:0:5:0<br>5:0:5:0 | 1<br>1<br>1 | 30<br>50<br>70 |

**Notes**:
- *I: Inhale, R: Retain, E: Exhale, S: Sustain, B: Beginner, M: Medium, A: Advanced*
